<?php
namespace Model;


class Athlete extends Role {
    // Attributs spécifiques a l'athlete si nécessaire
    private array $arrayStats = [];
    private array $arrayActivities = [];
    private array $arrayDateSources = [];
    public function getAthlete():Athlete {
        return $this;
    }

    public function getStat():?array{
        return $this->arrayStats;
    }

    public function getActivite():?array{
        return $this->arrayActivities;
    }

    public function getDataSource():?array{
        return $this->arrayDateSources;
    }

    public function getUsersList(): array{
        return $this->usersList;
    }
    private function CheckAdd(User $user)
    {
        if($user instanceof \Model\Athlete){
            return true;
        } else {
            return false;
        }
    }
    public function addUser(\Model\User $user): void
    {
        if($this->CheckAdd($user)){
            $this->usersList[] = $user;
        } else {
            echo "Impossible de demander en ami autre que des athletes\n";
        }
    }
    public function delUser(\Model\User $user):void{
        if($this->CheckAdd($user)){
            $this->usersList[] = null;
        } else {
            echo "Impossible de demander en ami autre que des athletes\n";
        }
    }

}

?>